
QGIS Application - Bug report #284

Building pyramids with magphase method cause corrupt resampled images

2006-09-22 12:34 AM - creeping -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10343

Description

On win32 preview release 2 building pyramids with the magphase method causes corrupt resampled images.

History

#1 - 2006-09-22 12:37 AM - creeping -

grap the file from here if you want to see the original source image: http:///creeping.orcon.net.nz/qgis/260_t19c.7z

#2 - 2006-11-26 03:40 PM - Gary Sherman

This option has been removed from the pyramid generator for version 0.8. This issue is moved to 0.9 for reconsideration and further investigation.

#3 - 2007-11-05 02:19 AM - Tim Sutton

- Resolution set to fixed

- Status changed from Open to Closed

A while ago I removed magphase option from the raster properties UI so this issue should no longer occur. I added a note in qgsrasterlayer.cpp

(commit:73da80f4 (SVN r7324)) too:

NOTE this (magphase) is disabled in the gui since it tends

to create corrupted images. The images can be repaired

by running one of the other resampling strategies below.

see ticket #284

I am closing this ticket.

#4 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted

Files

resample_gone_wrong.gif 27 KB 2006-09-21 creeping -
